Loading...
Searching...
No Matches
for_each_n.hpp File Reference

## Functions

template<typename I , typename F , typename P = identity> requires input_iterator<I> && indirectly_unary_invocable<F, projected<I, P>>
constexpr I | ranges::for_each_n (I first, iter_difference_t< I > n, F fun, P proj=P{})
| function template `for_each_n`
template<typename Rng , typename F , typename P = identity> requires input_range<Rng> && indirectly_unary_invocable<F, projected<iterator_t<Rng>, P>>
constexpr borrowed_iterator_t< Rng > | ranges::for_each_n (Rng &&rng, range_difference_t< Rng > n, F fun, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.